public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/lunr/
Date: Thu, 11 Mar 2021 07:18:31 +0000 (UTC)	[thread overview]
Message-ID: <1615447044.9dcf1635403dbcb779802e6efe630468c57f7dbf.juippis@gentoo> (raw)

commit:     9dcf1635403dbcb779802e6efe630468c57f7dbf
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Jan 25 19:47:38 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Mar 11 07:17:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9dcf1635

dev-python/lunr: add version 0.5.9

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/lunr/Manifest          |  1 +
 dev-python/lunr/lunr-0.5.9.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/lunr/Manifest b/dev-python/lunr/Manifest
index fa9bbe52b31..541d1fbd608 100644
--- a/dev-python/lunr/Manifest
+++ b/dev-python/lunr/Manifest
@@ -1,2 +1,3 @@
 DIST lunr-0.5.6.tar.gz 43815 BLAKE2B 0d68dc098a71c1fdaaddee80605fc63a0d30492b6e329cd8f963dc740bc40fc79959bf20b159af6b88c4eb2736db6793c6fea5b74968f74923741f220a372a89 SHA512 48167c90ac1351fd3aeaefbead752d8b96b941e79edb33a4232ac588a2fa54775972c883564ea23e3d58f3f5a94ee448c27049f4410016032f5a8f36aa4c6709
 DIST lunr-0.5.8.tar.gz 834919 BLAKE2B 970cc12fb30bc849d4ef846818f93fa7b7701b1155c9b7880f3a63384a8f353c760be5dc6c37188db656e7424715aa854f20615ae652b0a5c9e656871be490af SHA512 90c279b9e91744f19c4a155947526bff749aee5d727bc38cc36ee05228a6624419a54bef4214e8195a69abcf1a5b40b29c4fa8b14bece0befbde02d13af969ac
+DIST lunr-0.5.9.tar.gz 837871 BLAKE2B 988d4b6a59a868b2e06d5454dd1e4932981328ddfc6312027f22dd11228547c6ab21c096f3e673ea5aee0745fcd718ac805bc2067b834ed64841a8592f4317c1 SHA512 e2efa0b22af79140befe9d16e8f9fd3cd57f5413b466447eecb9a21ad2f50a6b31f27510bc7558662f418023290350730e6517b202b9d5ae06428ccdac12ebd9

diff --git a/dev-python/lunr/lunr-0.5.9.ebuild b/dev-python/lunr/lunr-0.5.9.ebuild
new file mode 100644
index 00000000000..9fdb54be751
--- /dev/null
+++ b/dev-python/lunr/lunr-0.5.9.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+DOCS_BUILDER="mkdocs"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Python implementation of Lunr.js"
+HOMEPAGE="https://github.com/yeraydiazdiaz/lunr.py"
+SRC_URI="https://github.com/yeraydiazdiaz/lunr.py/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/nltk[${PYTHON_USEDEP}]"
+
+BDEPEND="test? (
+	dev-python/mock[${PYTHON_USEDEP}]
+)"
+
+S="${WORKDIR}/${PN}.py-${PV}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# Tests in this subdir all fail
+	# Command '['node', '/var/tmp/portage/dev-python/lunr-0.5.8/work/lunr.py-0.5.8/tests/acceptance_tests/javascript/mkdocs_load_serialized_index_and_search.js', '/var/tmp/portage/dev-python/lunr-0.5.8/temp/tmpldbff36d', 'plugins']' returned non-zero exit status 1.
+	rm -r tests/acceptance_tests || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2021-03-11  7:18 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-11  7:18 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-04-16 15:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/lunr/ Michał Górny
2022-04-16  7:38 Sam James
2022-03-14 13:30 Andrew Ammerlaan
2022-03-14 13:30 Andrew Ammerlaan
2021-11-21 19:14 Michał Górny
2021-11-21 18:39 Jakov Smolić
2021-10-16 19:34 Michał Górny
2021-09-16  6:34 Arthur Zamarin
2021-07-08 11:08 Andrew Ammerlaan
2021-06-25 19:33 Sam James
2021-06-25 19:32 Sam James
2021-04-23  7:25 Michał Górny
2021-04-23  7:25 Michał Górny
2021-04-09 11:49 Joonas Niilola
2021-03-11  7:18 Joonas Niilola
2021-01-05 11:05 Michał Górny
2020-12-05 13:31 Jason A. Donenfeld
2020-11-17 18:08 Michał Górny
2020-05-09 11:24 Mikle Kolyada
2020-05-09 11:24 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615447044.9dcf1635403dbcb779802e6efe630468c57f7dbf.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox